Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.deploy.api.spi
Interface WebLogicDConfigBean

All Superinterfaces:
  DConfigBean

All Known Subinterfaces:
  WebLogicDConfigBeanRoot

public interface WebLogicDConfigBean
extends DConfigBean

This interface provides WebLogic Server extensions to `DConfigBean`. WebLogicDConfigBean represents WebLogic Server configuration data associated with standard J2EE deployment descriptor beans (DDBeans).

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`weblogic.descriptor.DescriptorBean` | `getDescriptorBean()` Accesses the underlying descriptor bean.
`boolean` | `isModified()` If this bean or any children have been modified
`void` | `notifyDDChange(XpathEvent event)` WebLogic Server DConfigBeans do not register property listeners to monitor for changes to DDBeans.

Methods inherited from interface javax.enterprise.deploy.spi.DConfigBean
`addPropertyChangeListener, getDConfigBean, getDDBean, getXpaths, removeDConfigBean, removePropertyChangeListener`

Method Detail

### getDescriptorBean

    public weblogic.descriptor.DescriptorBean getDescriptorBean()

  Accesses the underlying descriptor bean.

### isModified

    public boolean isModified()

  If this bean or any children have been modified

### notifyDDChange

    public void notifyDDChange(XpathEvent event)

  WebLogic Server DConfigBeans do not register property listeners to monitor for changes to DDBeans. Changes to standard descriptors are not automatically reflected in the corresponding DConfigBeans.

  Specified by:
    `notifyDDChange` in interface `DConfigBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD